Subject: Re: meson documentation build open issues

From: Alvaro Herrera <[email-masked]>
Date: Tue, 7 Nov 2023 17:40:40 +0100

On 2023-Nov-07, Andres Freund wrote:

> >I would like to have some set of options that enables it so that the
> >standard documentation targets become part of "meson compile" and
> >"meson install".
> 
> -0.5 - it's just too painfully slow. For all scripted uses you can just as well use install-world...

If the problem is broken doc patches, then maybe a solution is to
include the `xmllint --noout --valid` target in whatever the check-world
equivalent is for meson.  Looking at doc/src/sgml/meson.build, we don't
seem to do that anywhere.  Doing the no-output lint run is very fast
(375ms real time in my machine, whereas "make html" takes 27s).

-- 
Álvaro Herrera         PostgreSQL Developer  —  https://www.EnterpriseDB.com/
"¿Cómo puedes confiar en algo que pagas y que no ves,
y no confiar en algo que te dan y te lo muestran?" (Germán Poo)